name: Diver
version: "1.2.0"
author: Dmitry Zhiltsov <dmitriy@pushamp.com>
about: Tool for generation config file from os env (K8S included!)
subcommands:
  - get_k8s:
      about: Generate full config for k8s
      args:
        - ingress_hosts:
            required: true
            takes_value: true
            value_name: ingress_hosts
            long: ingress_hosts
            help: Ingress hosts with specifited format (e.g ingress1=foo.com,bar.ru#ingress2=root.org)
        - tasks_replicas:
            required: false
            takes_value: true
            value_name: tasks_replicas
            long: tasks_replicas
            help: Numbers of tasks replicas with specifited format (e.g task1=1#task2=5)
        - is_canary:
            long: is_canary
            help: Enable or disable canary
        - no_tasks:
            long: no_tasks
            help: Disable deploy tasks
        - service_name:
            required: true
            takes_value: true
            value_name: service_name
            long: service_name
            help: Service name
        - ci_app:
            required: true
            takes_value: true
            value_name: ci_app
            long: ci_app
            help: CI application name
        - ci_env:
            required: true
            takes_value: true
            value_name: ci_env
            long: ci_env
            help: CI application env
        - image:
            required: true
            takes_value: true
            value_name: image
            long: image
            help: Docker image for app
        - replicas:
            required: true
            takes_value: true
            value_name: replicas
            long: replicas
            help: Docker image for app
        - tls_enable:
            long: tls_enable
            help: Enable ACME TLS
  - get_ingresses:
      about: Get names of ingresses
      args:
        - hostname:
            required: true
            takes_value: true
            value_name: hostname
            long: hostname
            help: Hostname for ingress
